
import { request } from '@umijs/max';


export default {
    /**
     * 新增
     * @param parms 
     * @returns 
     */
    Add(parms: deviceProduct.addInput) {
        return request('/api/deviceProduct/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 删除
    * @param parms 
    * @returns 
    */
    Del(parms: deviceProduct.delInput) {
        return request(`/api/deviceProduct/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 修改
     * @param parms 
     * @returns 
     */
    Update(parms: deviceProduct.updateInput) {
        return request('/api/deviceProduct/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 详情
    * @param parms 
    * @returns 
    */
    Detail(id: string) {
        return request(`/api/deviceProduct/detail?id=${id}`, {
            method: 'GET'
        });
    },
    /**
     * 获取列表
     * @param parms 
     * @returns 
     */
    List(parms: deviceProduct.queryParms) {
        return request('/api/deviceProduct/list', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: deviceProduct.queryPage) {
        return request('/api/deviceProduct/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    SelectList(){
        return request('/api/deviceProduct/selectlist', {
            method: 'GET',
        });
    }

}

